Вопрос по python, c++, gdb – GDB красивые принтеры для Qt5

7

Где я могу найти GDB красивые принтеры для QT5?

Я мог найти только для qt4 на сайте разработчиков KDE. Может быть, кто-то знает, существуют ли красивые принтеры для новой версии Qt и где я могу их найти.

Я знаю, что можно использовать последнюю версию QtCreator, но мне нужны только простые скрипты на Python для GDB.

Ваш Ответ

3   ответа
5

Красивые принтеры, перечисленные наhttps://techbase.kde.org/Development/Tutorials/Debugging/Debugging_with_GDB только частично совместимы с Qt 5. Некоторые типы (такие как QByteArray) не обрабатываются правильно.

Алекс Мерри работал над красивыми принтерами Qt 5 ипытался вставить их в базовые пакеты Qt5 (к сожалению, этого не произошло). Для удобства я сделал его принтеры доступными наhttps://github.com/Lekensteyn/qt5printers

Какую версию GDB требуется использоватьgithub.com/Lekensteyn/qt5printers ? когда я пытаюсь использовать его наGNU gdb (GDB) Red Hat Enterprise Linux (7.2-75.el6) я получилTraceback (most recent call last): File "<string>", line 3, in <module> File "/home/myusername/gdb/printers/qt5printers/__init__.py", line 42, in <module> import gdb.printing ImportError: No module named printing
@bgoodr Вам нужен как минимум GDB 7.3 для симпатичного модуля печати (sourceware.org/git/…см. также файл NEWS)
-1

http://gcc.gnu.org/svn/gcc/trunk/libstdc++-v3/python/

Кроме того, двоичные файлы GDB с включенным Python можно найти здесь.http://origin.releases.qt-project.org/gdb/

Эти красивые принтеры предназначены для libstdc ++. Вопрос был о симпатичных принтерах для Qt5
3

по-видимому, периодически обновляется

https://cgit.kde.org/kdevelop.git/tree/debuggers/gdb/printers

Похожие вопросы